#
# spec file for package suselinux-reference_en (Version 7.3.0.5b)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  ImageMagick freetype2 ghostscript-fonts-other ghostscript-fonts-std ghostscript-library ghostscript-serv ghostscript-x11 glib l2h libjpeg liblcms libpng libtiff libxml2 netpbm susebook susebook2html susebuch susefont te_ams te_mpost te_pdf te_pscm tetex xf86
# usedforbuild    ImageMagick aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext ghostscript-fonts-other ghostscript-fonts-std ghostscript-library ghostscript-serv ghostscript-x11 glib glibc glibc-devel gpm gppshare grep groff gzip kbd l2h less libjpeg liblcms libpng libtiff libtool libxml2 libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg netpbm pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace susebook susebook2html susebuch susefont syslogd sysvinit te_ams te_latex te_mpost te_pdf te_pscm tetex texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         suselinux-reference_en
Summary:      System and Reference Manual (en)
Version:      7.3.0.5b
Release:      3
Source:      suselinux-reference_en-%{version}.tar.bz2
# Source1:      ascii_en.tar.gz
# Patch: suselinux_en-7.0.0.18.dif
BuildRoot: %{_tmppath}/42-24
Group:       Documentation
Copyright:    SuSE GmbH, Nuernberg
Requires: susefont
%define MYDOC %{_defaultdocdir}/suselinux-reference_en
%define SUSEHTML %{_datadir}/doc/suse
%define MYHTML %{SUSEHTML}/reference-en
%define TEXDIR /usr/share/texmf/tex/latex/susebook

%description
System and Reference Manual (en)

SuSE series: doc

%prep
# %patch0 -p 1
#%ifarch ia64
#    echo not ready for ia64 && exit 1
#%endif
%setup -q

%build
make %{_arch}
# #susebook2html
/usr/lib/susebook2html/sb2h.sh en
make pdfbuch
mv main.pdf SuSE-Linux-Reference-%{version}.pdf

%install
[ -d $RPM_BUILD_ROOT ] && rm -fvr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
# html
install -d $RPM_BUILD_ROOT%{SUSEHTML}
install -d $RPM_BUILD_ROOT%{MYHTML}
install -d $RPM_BUILD_ROOT%{MYHTML}/html
install -d $RPM_BUILD_ROOT%{MYHTML}/bilder-png
rm -f $RPM_BUILD_ROOT%{MYHTML}/bilder-png/*.{bb,eps}
install -m 0644 main/main/* $RPM_BUILD_ROOT%{MYHTML}/html
install -m 0644 main/bilder-png/* $RPM_BUILD_ROOT%{MYHTML}/bilder-png
install -m 0644 %{TEXDIR}/suse-logo.png  %{TEXDIR}/hinweis-sw-2x2.png \
                %{TEXDIR}/tip-sw-2x2.png %{TEXDIR}/achtung-sw-2x2.png \
             $RPM_BUILD_ROOT%{MYHTML}/bilder-png

%post
if [ -d %{MYDOC} ] ; then
pushd %{MYDOC}
  rm -f SuSE-Linux-Reference.pdf
  ln -s SuSE-Linux-Reference-%{version}.pdf SuSE-Linux-Reference.pdf
popd
fi

%preun
if [ -d %{MYDOC} ] ; then
  pushd %{MYDOC}
  rm -f SuSE-Linux-Reference.pdf
  popd
fi

%files
%defattr(-, root, root)
%doc SuSE-Linux-Reference-%{version}.pdf
%dir %{SUSEHTML}
%{MYHTML}

%changelog -n suselinux-reference_en
* Tue Oct 02 2001 - ke@suse.de
- Update to version 7.3.0.5b; cf. bug report by Berthold Gunreben
  [#11556].
* Tue Sep 18 2001 - utuerk@suse.de
- inable HTML procedure: added glib,xf86 to neededforbuild
* Fri Sep 14 2001 - adrian@suse.de
- move susehelp conf file to susehelp
* Thu Sep 13 2001 - ke@suse.de
- Update to version 7.3.0.5a (final).
- Don't install *.eps files.
- For the moment disable HTML procedure.
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_fonto> to <ghostscript-fonts-other>
- changed neededforbuild <gs_fonts> to <ghostscript-fonts-std>
- changed neededforbuild <gs_lib> to <ghostscript-library>
- changed neededforbuild <gs_serv> to <ghostscript-serv>
- changed neededforbuild <gs_x11> to <ghostscript-x11>
* Fri Jun 01 2001 - mac@suse.de
- Released IA64 (7.2.0.5)
* Tue May 08 2001 - ke@suse.de
- New package: version 7.2.0.4a.
